Logo
OpenScaler

Retrieve an existing VM

GET
/v1/vms/{vm_id}

Retrieve details about an existing VM by its ID.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Path Parameters

vm_id*string

A unique identifier for a VM instance.

Formatuuid

Query Parameters

only?array<>

request specific information only, if not send all by default :

  • basic : request basic information only (ex: id, name, etc.). Note that this info is always present no matter the request.
  • state : request domain state (ex: running, paused, etc.)
  • disks : request attached disks information
  • network : request network information

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/vms/cc3ccab2-0ae2-11ef-9136-6a0922f6458b"
{  "id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",  "name": "my-example-computer",  "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",  "project_id": "default",  "uuid": "cc8b9d3c-fe4d-11ee-91c9-6aca7850c3b4",  "region": "alg1",  "description": "My example computer (generated from API)",  "distro": "debian-13",  "size": "b-1-500mb-10",  "memoryMB": 1024,  "vcpus": 1,  "storageGB": 161061273600,  "transferGB": 1000,  "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",  "node_type": "VM",  "created_at": "2024-04-19T13:07:39",  "updated_at": "2024-04-19T13:07:39"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}